EntityCmpSubTask.CmpSpecVersion (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.entity.EntityCmpSubTask.CmpSpecVersion class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.entity
Class EntityCmpSubTask.CmpSpecVersion

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.ejb.entity.EntityCmpSubTask.CmpSpecVersion

Enclosing class:
  EntityCmpSubTask

public static class EntityCmpSubTask.CmpSpecVersion
extends org.apache.tools.ant.types.EnumeratedAttribute

Author:
  Vincent Harcq (vincent.harcq@hubmethods.com)
created
  February 23, 2002

Field Summary
`static String` | `CMP_1_1`
`static String` | `CMP_2_0`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`EntityCmpSubTask.CmpSpecVersion()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the CmpSpecVersion object
`static String` | `getVersions()` Gets the Versions attribute of the CmpSpecVersion class

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CMP_1_1

    public static final String CMP_1_1

See Also:
  Constant Field Values

### CMP_2_0

    public static final String CMP_2_0

See Also:
  Constant Field Values

Constructor Detail

### EntityCmpSubTask.CmpSpecVersion

    public EntityCmpSubTask.CmpSpecVersion()

Method Detail

### getVersions

    public static final String getVersions()

  Gets the Versions attribute of the CmpSpecVersion class

  Returns:
    The Versions value

### getValues

    public String[] getValues()

  Gets the Values attribute of the CmpSpecVersion object

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD